
<%--
/*******************************************************************************
*	Example of creating a simple fusion pie chart
*
*	@author: David Lai
*******************************************************************************/
--%>
<%@ page import="com.fusioncharts.*"%>

<%
  //Initialize FusionChart variables
  FusionGraph graph		= null;
  ChartFactory chart	= null;
  String errMsg = null;

  try
  {
	/**
	* Start code of building the graph
	*
	**/
	//create graph object
	graph = new FusionGraph("pieGraph",ChartType.PIE3D,5,request);
	
	//set chart properties and chart look
	graph.setWidth(390);
	graph.setHeight(150);
	graph.setChartProperties("showZeroPies","0");
	graph.setChartProperties("bgColor","FFFFFF,CCCC33");
	graph.setChartProperties("smartLineThickness","2");
	graph.setChartProperties("baseFont","Arial");
	graph.setChartProperties("baseFontSize","12");
	graph.setChartProperties("showToolTipShadow","1");
	graph.setChartProperties("toolTipBgColor","D9E5F1");
	graph.setChartProperties("pieRadius","90");
	    
	//create series
	Series series = graph.createSeries("pie series");
	String[] categories = {"a","b","c","d","e"};
	Double[] seriesValues = {100.0,150.0,120.0,130.0,140.0};
	String[] seriesColors = {"FFFFFF","CCCCCC","000000","666666","111111"};
	
	//lets pretend that we got categories and seriesValues from data instead of hardcoding it
    for(int i = 0; i< categories.length;i++)
	{
		graph.setCategory(i,categories[i]);
      
		series.setValue(i,seriesValues[i]);
		series.setColor(i,seriesColors[i]);
	}

    //attach graph to chart factory
    chart = new ChartFactory();
    chart.insertGraph(graph);
  }
  catch (Exception e)
  {
    errMsg = "Error: "+ e;
  }
%>

<html>
<head>
  <title>Example Graph</title>  
  <SCRIPT LANGUAGE="Javascript" SRC="FusionCharts/FusionCharts.js"></SCRIPT>
  <script type="text/javascript" src="FusionCharts/FusionChartsDOM_commented.js"></script>
</head>
<body onload="setTimeout('FusionChartsDOM.RenderAllCharts(true)',1000)">
		<!--  print chart -->
		<%=chart.buildDOMFusionChart(graph.getGraphId()) %>
		
		
</body>
</html>